  html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden;
    font-family: Arial, sans-serif;
  }

  /* Fullscreen scene container */
  #scene {
    width: 1375px;
    height: 100%;
    background-size: cover;
    background-position: center;
    position: relative;
  }

  /* HUD box */
  #hud {
    position: absolute;
    bottom: 30px;
    left: 130px;
    background: rgba(0,0,0,0.8);
    color: floralwhite;
    padding: 10px 14px;
    border-radius: 16px;
    max-width: 320px;
    z-index: 10;
  }

  #scene-title {
    font-weight: bold;
    margin-bottom: 6px;
  }

  /* Hidden object images */
  .object {
    position: absolute;
    width: translate(-50%, -50%);       /* adjust size */
    cursor: pointer;
    transform: translate(-50%, -50%);
    z-index: 5;
  }
#app-bar {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 20;
}

#app-bar button {
  padding: 8px 12px;
  margin-right: 6px;
  cursor: pointer;
}

.app-window {
  position: absolute;
  top: 60px;
  left: 10px;
  width: 300px;
  height: 300px;
  background: rgba(0,0,0,0.85);
  color: white;
  padding: 10px;
  border-radius: 6px;
  display: none;
  overflow-y: auto;
  z-index: 30;
    
}.end-window {
  position: absolute;
  top: 0px;
  left: 10px;
  width: 300px;
  height: 300px;
  background: rgba(0,0,0,0.85);
  color: white;
  padding: 10px;
  border-radius: 6px;
  display: none;
  overflow-y: auto;
  z-index: 30;
}

.app-window h2 {
  margin-top: 0;
}

.inventory-item {
  width: 60px;
  margin: 5px;
}
#map-rooms button {
  width: 100%;
  margin: 4px 0;
  padding: 8px;
  cursor: pointer;
  text-align: left;
}
.badge {
  background: red;
  color: white;
  padding: 2px 6px;
  border-radius: 50%;
  font-size: 12px;
  margin-left: 5px;
  display: none;
}
/*ENDGAME*/
#endgame-window {
    text-align: center;
    padding: 60px;
    font-size: 20px;
    background: rgba(0,0,0,0.85);
    color: white;  
    margin-top: 0;
    display: block;
    width: 1250px;
    height: 500px;
}

.endgame-title {
  font-size: 48px;
  margin-bottom: 20px;
  color: #4caf50;
  text-shadow: 0 0 10px #4caf50;
}

.endgame-box {
  background: rgba(255,255,255,0.1);
  padding: 20px;
  margin: 20px auto;
  width: 80%;
  border-radius: 10px;
  font-size: 18px;
  line-height: 1.5;
}

.restart-btn {
  padding: 12px 25px;
  font-size: 20px;
  background: #4caf50;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  color: white;
  margin-top: 20px;
}

.restart-btn:hover {
  background: #45a049;
}
